Loading...
Searching...
No Matches
itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage > Class Template Reference

`#include <itkMultiResolutionImageRegistrationMethod2.h>`

## Detailed Description

template<typename TFixedImage, typename TMovingImage>
class itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >

Base class for multi-resolution image registration methods.

This class is a slight modification of the original ITK class: MultiResolutionImageRegistrationMethod. Compared to that one, some variables are made protected, instead of private. Also, this class makes less assumptions about the image pyramids.

Original ITK documentation:

This class provides a generic interface for multi-resolution registration using components of the registration framework. See documentation for ImageRegistrationMethod for a description of the registration framework components.

The registration process is initiated by method StartRegistration(). The user must set the parameters of each component before calling this method.

The number of resolution level to process can be set via SetNumberOfLevels(). At each resolution level, the user specified registration components are used to register downsampled version of the images by computing the transform parameters that will map one image onto the other image.

The downsampled images are provided by user specified MultiResolutionPyramidImageFilters. User must specify the schedule for each pyramid externally prior to calling StartRegistration().

Warning
  If there is discrepancy between the number of level requested and a pyramid schedule. The pyramid schedule will be overridden with a default one.

Before each resolution level an IterationEvent is invoked providing an opportunity for a user interface to change any of the components, change component parameters, or stop the registration.

This class is templated over the fixed image type and the moving image type.

See also
  ImageRegistrationMethod

Definition at line 97 of file itkMultiResolutionImageRegistrationMethod2.h.

Inheritance diagram for itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | DataObjectPointer = typename DataObject::Pointer
using | FixedImageConstPointer = typename FixedImageType::ConstPointer
using | FixedImagePyramidPointer = typename FixedImagePyramidType::Pointer
using | FixedImagePyramidType = MultiResolutionPyramidImageFilter<FixedImageType, FixedImageType>
using | FixedImageRegionPyramidType = std::vector<FixedImageRegionType>
using | FixedImageRegionType = typename FixedImageType::RegionType
using | FixedImageType = TFixedImage
using | InterpolatorPointer = typename InterpolatorType::Pointer
using | InterpolatorType = typename MetricType::InterpolatorType
using | MetricPointer = typename MetricType::Pointer
using | MetricType = AdvancedImageToImageMetric<FixedImageType, MovingImageType>
using | MovingImageConstPointer = typename MovingImageType::ConstPointer
using | MovingImagePyramidPointer = typename MovingImagePyramidType::Pointer
using | MovingImagePyramidType = MultiResolutionPyramidImageFilter<MovingImageType, MovingImageType>
using | MovingImageType = TMovingImage
using | OptimizerType = SingleValuedNonLinearOptimizer
using | ParametersType = typename MetricType::TransformParametersType
using | Pointer = SmartPointer<Self>
using | Self = MultiResolutionImageRegistrationMethod2
using | Superclass = ProcessObject
using | TransformOutputConstPointer = typename TransformOutputType::ConstPointer
using | TransformOutputPointer = typename TransformOutputType::Pointer
using | TransformOutputType = DataObjectDecorator<TransformType>
using | TransformPointer = typename TransformType::Pointer
using | TransformType = typename MetricType::AdvancedTransformType

## Public Member Functions

virtual const char * | GetClassName () const
virtual unsigned long | GetCurrentLevel () const
virtual const FixedImageType * | GetFixedImage ()
virtual const FixedImageRegionType & | GetFixedImageRegion ()
virtual const ParametersType & | GetInitialTransformParameters ()
virtual const ParametersType & | GetInitialTransformParametersOfNextLevel ()
virtual const ParametersType & | GetLastTransformParameters ()
virtual const MovingImageType * | GetMovingImage ()
ModifiedTimeType | GetMTime () const override
virtual unsigned long | GetNumberOfLevels () const
const TransformOutputType * | GetOutput () const
| ITK_DISALLOW_COPY_AND_MOVE (MultiResolutionImageRegistrationMethod2)
| itkGetModifiableObjectMacro (FixedImagePyramid, FixedImagePyramidType)
| itkGetModifiableObjectMacro (Interpolator, InterpolatorType)
| itkGetModifiableObjectMacro (Metric, MetricType)
| itkGetModifiableObjectMacro (MovingImagePyramid, MovingImagePyramidType)
| itkGetModifiableObjectMacro (Optimizer, OptimizerType)
| itkGetModifiableObjectMacro (Transform, TransformType)
DataObjectPointer | MakeOutput (ProcessObject::DataObjectPointerArraySizeType idx) override
virtual void | SetFixedImage (const FixedImageType *_arg)
virtual void | SetFixedImagePyramid (FixedImagePyramidType *_arg)
virtual void | SetFixedImageRegion (FixedImageRegionType _arg)
virtual void | SetInitialTransformParameters (ParametersType _arg)
virtual void | SetInitialTransformParametersOfNextLevel (ParametersType _arg)
virtual void | SetInterpolator (InterpolatorType *_arg)
virtual void | SetMetric (MetricType *_arg)
virtual void | SetMovingImage (const MovingImageType *_arg)
virtual void | SetMovingImagePyramid (MovingImagePyramidType *_arg)
virtual void | SetNumberOfLevels (unsigned long _arg)
virtual void | SetOptimizer (OptimizerType *_arg)
virtual void | SetTransform (TransformType *_arg)
virtual void | StartRegistration ()
virtual void | StopRegistration ()

## Static Public Member Functions

static Pointer | New ()

## Protected Member Functions

void | GenerateData () override
virtual void | Initialize ()
| MultiResolutionImageRegistrationMethod2 ()
virtual void | PreparePyramids ()
void | PrintSelf (std::ostream &os, Indent indent) const override
virtual void | SetCurrentLevel (unsigned long _arg)
| ~MultiResolutionImageRegistrationMethod2 () override=default

## Protected Attributes

ParametersType | m_LastTransformParameters {}
bool | m_Stop {}

## Private Attributes

unsigned long | m_CurrentLevel {}
FixedImageConstPointer | m_FixedImage {}
FixedImagePyramidPointer | m_FixedImagePyramid {}
FixedImageRegionType | m_FixedImageRegion {}
FixedImageRegionPyramidType | m_FixedImageRegionPyramid {}
ParametersType | m_InitialTransformParameters {}
ParametersType | m_InitialTransformParametersOfNextLevel {}
InterpolatorPointer | m_Interpolator {}
MetricPointer | m_Metric {}
MovingImageConstPointer | m_MovingImage {}
MovingImagePyramidPointer | m_MovingImagePyramid {}
unsigned long | m_NumberOfLevels {}
OptimizerType::Pointer | m_Optimizer {}
TransformPointer | m_Transform {}

## Member Typedef Documentation

## ConstPointer

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::ConstPointer = SmartPointer<const Self>

Definition at line 106 of file itkMultiResolutionImageRegistrationMethod2.h.

## DataObjectPointer

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::DataObjectPointer = typename DataObject::Pointer

Smart Pointer type to a DataObject.

Definition at line 160 of file itkMultiResolutionImageRegistrationMethod2.h.

## FixedImageConstPointer

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::FixedImageConstPointer = typename FixedImageType::ConstPointer

Definition at line 116 of file itkMultiResolutionImageRegistrationMethod2.h.

## FixedImagePyramidPointer

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::FixedImagePyramidPointer = typename FixedImagePyramidType::Pointer

Definition at line 148 of file itkMultiResolutionImageRegistrationMethod2.h.

## FixedImagePyramidType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::FixedImagePyramidType = MultiResolutionPyramidImageFilter<FixedImageType, FixedImageType>

Type of the Fixed image multiresolution pyramid.

Definition at line 147 of file itkMultiResolutionImageRegistrationMethod2.h.

## FixedImageRegionPyramidType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::FixedImageRegionPyramidType = std::vector<FixedImageRegionType>

Definition at line 118 of file itkMultiResolutionImageRegistrationMethod2.h.

## FixedImageRegionType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::FixedImageRegionType = typename FixedImageType::RegionType

Definition at line 117 of file itkMultiResolutionImageRegistrationMethod2.h.

## FixedImageType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::FixedImageType = TFixedImage

Type of the Fixed image.

Definition at line 115 of file itkMultiResolutionImageRegistrationMethod2.h.

## InterpolatorPointer

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::InterpolatorPointer = typename InterpolatorType::Pointer

Definition at line 141 of file itkMultiResolutionImageRegistrationMethod2.h.

## InterpolatorType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::InterpolatorType = typename MetricType::InterpolatorType

Type of the Interpolator.

Definition at line 140 of file itkMultiResolutionImageRegistrationMethod2.h.

## MetricPointer

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::MetricPointer = typename MetricType::Pointer

Definition at line 126 of file itkMultiResolutionImageRegistrationMethod2.h.

## MetricType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::MetricType = AdvancedImageToImageMetric<FixedImageType, MovingImageType>

Type of the metric.

Definition at line 125 of file itkMultiResolutionImageRegistrationMethod2.h.

## MovingImageConstPointer

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::MovingImageConstPointer = typename MovingImageType::ConstPointer

Definition at line 122 of file itkMultiResolutionImageRegistrationMethod2.h.

## MovingImagePyramidPointer

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::MovingImagePyramidPointer = typename MovingImagePyramidType::Pointer

Definition at line 152 of file itkMultiResolutionImageRegistrationMethod2.h.

## MovingImagePyramidType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::MovingImagePyramidType = MultiResolutionPyramidImageFilter<MovingImageType, MovingImageType>

Type of the moving image multiresolution pyramid.

Definition at line 151 of file itkMultiResolutionImageRegistrationMethod2.h.

## MovingImageType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::MovingImageType = TMovingImage

Type of the Moving image.

Definition at line 121 of file itkMultiResolutionImageRegistrationMethod2.h.

## OptimizerType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::OptimizerType = SingleValuedNonLinearOptimizer

Type of the optimizer.

Definition at line 144 of file itkMultiResolutionImageRegistrationMethod2.h.

## ParametersType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::ParametersType = typename MetricType::TransformParametersType

Type of the Transformation parameters This is the same type used to represent the search space of the optimization algorithm.

Definition at line 157 of file itkMultiResolutionImageRegistrationMethod2.h.

## Pointer

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::Pointer = SmartPointer<Self>

Definition at line 105 of file itkMultiResolutionImageRegistrationMethod2.h.

## Self

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::Self = MultiResolutionImageRegistrationMethod2

Standard class typedefs.

Definition at line 103 of file itkMultiResolutionImageRegistrationMethod2.h.

## Superclass

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::Superclass = ProcessObject

Definition at line 104 of file itkMultiResolutionImageRegistrationMethod2.h.

## TransformOutputConstPointer

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::TransformOutputConstPointer = typename TransformOutputType::ConstPointer

Definition at line 137 of file itkMultiResolutionImageRegistrationMethod2.h.

## TransformOutputPointer

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::TransformOutputPointer = typename TransformOutputType::Pointer

Definition at line 136 of file itkMultiResolutionImageRegistrationMethod2.h.

## TransformOutputType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::TransformOutputType = DataObjectDecorator<TransformType>

Type for the output: Using Decorator pattern for enabling the Transform to be passed in the data pipeline.

Definition at line 135 of file itkMultiResolutionImageRegistrationMethod2.h.

## TransformPointer

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::TransformPointer = typename TransformType::Pointer

Definition at line 130 of file itkMultiResolutionImageRegistrationMethod2.h.

## TransformType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::TransformType = typename MetricType::AdvancedTransformType

Type of the Transform .

Definition at line 129 of file itkMultiResolutionImageRegistrationMethod2.h.

## Constructor & Destructor Documentation

## MultiResolutionImageRegistrationMethod2()

template<typename TFixedImage, typename TMovingImage>

itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::MultiResolutionImageRegistrationMethod2 | ( |  | ) |

protected

Constructor.

## ~MultiResolutionImageRegistrationMethod2()

template<typename TFixedImage, typename TMovingImage>

itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::~MultiResolutionImageRegistrationMethod2 | ( |  | ) |

override protected default

Destructor.

## Member Function Documentation

## GenerateData()

template<typename TFixedImage, typename TMovingImage>

void itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::GenerateData | ( |  | ) |

override protected

Method invoked by the pipeline in order to trigger the computation of the registration.

## GetClassName()

template<typename TFixedImage, typename TMovingImage>

virtual const char * itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented in elastix::MultiMetricMultiResolutionRegistration< TElastix >, elastix::MultiResolutionRegistration< TElastix >, elastix::MultiResolutionRegistrationWithFeatures< TElastix >, itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >, itk::MultiInputMultiResolutionImageRegistrationMethodBase< RegistrationBase< TElastix >::FixedImageType, RegistrationBase< TElastix >::MovingImageType >, itk::MultiMetricMultiResolutionImageRegistrationMethod< TFixedImage, TMovingImage >, itk::MultiMetricMultiResolutionImageRegistrationMethod< RegistrationBase< TElastix >::FixedImageType, RegistrationBase< TElastix >::MovingImageType >, itk::MultiMetricMultiResolutionImageRegistrationMethod< typename RegistrationBase< TElastix >::FixedImageType, typename RegistrationBase< TElastix >::MovingImageType >, itk::MultiResolutionImageRegistrationMethodWithFeatures< TFixedImage, TMovingImage >, itk::MultiResolutionImageRegistrationMethodWithFeatures< RegistrationBase< TElastix >::FixedImageType, RegistrationBase< TElastix >::MovingImageType >, and itk::MultiResolutionImageRegistrationMethodWithFeatures< typename RegistrationBase< TElastix >::FixedImageType, typename RegistrationBase< TElastix >::MovingImageType >.

## GetCurrentLevel()

template<typename TFixedImage, typename TMovingImage>

virtual unsigned long itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::GetCurrentLevel | ( |  | ) | const

virtual

Get the current resolution level being processed.

## GetFixedImage()

template<typename TFixedImage, typename TMovingImage>

virtual const FixedImageType * itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::GetFixedImage | ( |  | ) |

virtual

## GetFixedImageRegion()

template<typename TFixedImage, typename TMovingImage>

virtual const FixedImageRegionType & itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::GetFixedImageRegion | ( |  | ) |

virtual

## GetInitialTransformParameters()

template<typename TFixedImage, typename TMovingImage>

virtual const ParametersType & itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::GetInitialTransformParameters | ( |  | ) |

virtual

## GetInitialTransformParametersOfNextLevel()

template<typename TFixedImage, typename TMovingImage>

virtual const ParametersType & itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::GetInitialTransformParametersOfNextLevel | ( |  | ) |

virtual

## GetLastTransformParameters()

template<typename TFixedImage, typename TMovingImage>

virtual const ParametersType & itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::GetLastTransformParameters | ( |  | ) |

virtual

Get the last transformation parameters visited by the optimizer.

## GetMovingImage()

template<typename TFixedImage, typename TMovingImage>

virtual const MovingImageType * itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::GetMovingImage | ( |  | ) |

virtual

## GetMTime()

template<typename TFixedImage, typename TMovingImage>

ModifiedTimeType itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::GetMTime | ( |  | ) | const

override

Method to return the latest modified time of this object or any of its cached ivars.

## GetNumberOfLevels()

template<typename TFixedImage, typename TMovingImage>

virtual unsigned long itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::GetNumberOfLevels | ( |  | ) | const

virtual

## GetOutput()

template<typename TFixedImage, typename TMovingImage>

const TransformOutputType * itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::GetOutput | ( |  | ) | const

Returns the transform resulting from the registration process.

## Initialize()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::Initialize | ( |  | ) |

protected virtual

Initialize by setting the interconnects between the components. This method is executed at every level of the pyramid with the values corresponding to this resolution

Reimplemented in itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >, itk::MultiInputMultiResolutionImageRegistrationMethodBase< RegistrationBase< TElastix >::FixedImageType, RegistrationBase< TElastix >::MovingImageType >, itk::MultiMetricMultiResolutionImageRegistrationMethod< TFixedImage, TMovingImage >, itk::MultiMetricMultiResolutionImageRegistrationMethod< RegistrationBase< TElastix >::FixedImageType, RegistrationBase< TElastix >::MovingImageType >, and itk::MultiMetricMultiResolutionImageRegistrationMethod< typename RegistrationBase< TElastix >::FixedImageType, typename RegistrationBase< TElastix >::MovingImageType >.

## ITK_DISALLOW_COPY_AND_MOVE()

template<typename TFixedImage, typename TMovingImage>

itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::ITK_DISALLOW_COPY_AND_MOVE | ( | MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage > |  | ) |

## itkGetModifiableObjectMacro() [1/6]

template<typename TFixedImage, typename TMovingImage>

itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::itkGetModifiableObjectMacro | ( | FixedImagePyramid | ,
|  | FixedImagePyramidType | )

## itkGetModifiableObjectMacro() [2/6]

template<typename TFixedImage, typename TMovingImage>

itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::itkGetModifiableObjectMacro | ( | Interpolator | ,
|  | InterpolatorType | )

## itkGetModifiableObjectMacro() [3/6]

template<typename TFixedImage, typename TMovingImage>

itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::itkGetModifiableObjectMacro | ( | Metric | ,
|  | MetricType | )

## itkGetModifiableObjectMacro() [4/6]

template<typename TFixedImage, typename TMovingImage>

itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::itkGetModifiableObjectMacro | ( | MovingImagePyramid | ,
|  | MovingImagePyramidType | )

## itkGetModifiableObjectMacro() [5/6]

template<typename TFixedImage, typename TMovingImage>

itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::itkGetModifiableObjectMacro | ( | Optimizer | ,
|  | OptimizerType | )

## itkGetModifiableObjectMacro() [6/6]

template<typename TFixedImage, typename TMovingImage>

itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::itkGetModifiableObjectMacro | ( | Transform | ,
|  | TransformType | )

## MakeOutput()

template<typename TFixedImage, typename TMovingImage>

DataObjectPointer itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::MakeOutput | ( | ProcessObject::DataObjectPointerArraySizeType | idx | ) |

override

Make a DataObject of the correct type to be used as the specified output.

## New()

template<typename TFixedImage, typename TMovingImage>

Pointer itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::New | ( |  | ) |

static

Method for creation through the object factory.

## PreparePyramids()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::PreparePyramids | ( |  | ) |

protected virtual

Compute the size of the fixed region for each level of the pyramid.

Reimplemented in itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >, and itk::MultiInputMultiResolutionImageRegistrationMethodBase< RegistrationBase< TElastix >::FixedImageType, RegistrationBase< TElastix >::MovingImageType >.

## PrintSelf()

template<typename TFixedImage, typename TMovingImage>

void itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::PrintSelf | ( | std::ostream & | os,
|  | Indent | indent ) const

override protected

PrintSelf.

## SetCurrentLevel()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::SetCurrentLevel | ( | unsigned long | _arg | ) |

protected virtual

Set the current level to be processed.

## SetFixedImage()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::SetFixedImage | ( | const FixedImageType * | _arg | ) |

virtual

Set/Get the Fixed image.

## SetFixedImagePyramid()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::SetFixedImagePyramid | ( | FixedImagePyramidType * | _arg | ) |

virtual

Set/Get the Fixed image pyramid.

## SetFixedImageRegion()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::SetFixedImageRegion | ( | FixedImageRegionType | _arg | ) |

virtual

Set/Get the Metric.

## SetInitialTransformParameters()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::SetInitialTransformParameters | ( | ParametersType | _arg | ) |

virtual

Set/Get the initial transformation parameters.

## SetInitialTransformParametersOfNextLevel()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::SetInitialTransformParametersOfNextLevel | ( | ParametersType | _arg | ) |

virtual

Set/Get the initial transformation parameters of the next resolution level to be processed. The default is the last set of parameters of the last resolution level.

## SetInterpolator()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::SetInterpolator | ( | InterpolatorType * | _arg | ) |

virtual

Set/Get the Interpolator.

## SetMetric()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::SetMetric | ( | MetricType * | _arg | ) |

virtual

Set/Get the Metric.

Reimplemented in itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >, itk::MultiInputMultiResolutionImageRegistrationMethodBase< RegistrationBase< TElastix >::FixedImageType, RegistrationBase< TElastix >::MovingImageType >, itk::MultiMetricMultiResolutionImageRegistrationMethod< TFixedImage, TMovingImage >, itk::MultiMetricMultiResolutionImageRegistrationMethod< RegistrationBase< TElastix >::FixedImageType, RegistrationBase< TElastix >::MovingImageType >, and itk::MultiMetricMultiResolutionImageRegistrationMethod< typename RegistrationBase< TElastix >::FixedImageType, typename RegistrationBase< TElastix >::MovingImageType >.

## SetMovingImage()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::SetMovingImage | ( | const MovingImageType * | _arg | ) |

virtual

Set/Get the Moving image.

## SetMovingImagePyramid()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::SetMovingImagePyramid | ( | MovingImagePyramidType * | _arg | ) |

virtual

Set/Get the Moving image pyramid.

## SetNumberOfLevels()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::SetNumberOfLevels | ( | unsigned long | _arg | ) |

virtual

Set/Get the number of multi-resolution levels.

## SetOptimizer()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::SetOptimizer | ( | OptimizerType * | _arg | ) |

virtual

Set/Get the Optimizer.

## SetTransform()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::SetTransform | ( | TransformType * | _arg | ) |

virtual

Set/Get the Transform.

## StartRegistration()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::StartRegistration | ( |  | ) |

virtual

Method that initiates the registration.

## StopRegistration()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::StopRegistration | ( |  | ) |

virtual

Method to stop the registration.

## Field Documentation

## m_CurrentLevel

template<typename TFixedImage, typename TMovingImage>

unsigned long itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::m_CurrentLevel {}

private

Definition at line 305 of file itkMultiResolutionImageRegistrationMethod2.h.

## m_FixedImage

template<typename TFixedImage, typename TMovingImage>

FixedImageConstPointer itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::m_FixedImage {}

private

Definition at line 297 of file itkMultiResolutionImageRegistrationMethod2.h.

## m_FixedImagePyramid

template<typename TFixedImage, typename TMovingImage>

FixedImagePyramidPointer itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::m_FixedImagePyramid {}

private

Definition at line 299 of file itkMultiResolutionImageRegistrationMethod2.h.

## m_FixedImageRegion

template<typename TFixedImage, typename TMovingImage>

FixedImageRegionType itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::m_FixedImageRegion {}

private

Definition at line 301 of file itkMultiResolutionImageRegistrationMethod2.h.

## m_FixedImageRegionPyramid

template<typename TFixedImage, typename TMovingImage>

FixedImageRegionPyramidType itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::m_FixedImageRegionPyramid {}

private

Definition at line 302 of file itkMultiResolutionImageRegistrationMethod2.h.

## m_InitialTransformParameters

template<typename TFixedImage, typename TMovingImage>

ParametersType itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::m_InitialTransformParameters {}

private

Definition at line 293 of file itkMultiResolutionImageRegistrationMethod2.h.

## m_InitialTransformParametersOfNextLevel

template<typename TFixedImage, typename TMovingImage>

ParametersType itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::m_InitialTransformParametersOfNextLevel {}

private

Definition at line 294 of file itkMultiResolutionImageRegistrationMethod2.h.

## m_Interpolator

template<typename TFixedImage, typename TMovingImage>

InterpolatorPointer itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::m_Interpolator {}

private

Definition at line 291 of file itkMultiResolutionImageRegistrationMethod2.h.

## m_LastTransformParameters

template<typename TFixedImage, typename TMovingImage>

ParametersType itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::m_LastTransformParameters {}

protected

The last transform parameters. Compared to the ITK class itk::MultiResolutionImageRegistrationMethod these member variables are made protected, so they can be accessed by children classes.

Definition at line 280 of file itkMultiResolutionImageRegistrationMethod2.h.

## m_Metric

template<typename TFixedImage, typename TMovingImage>

MetricPointer itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::m_Metric {}

private

Member variables.

Definition at line 288 of file itkMultiResolutionImageRegistrationMethod2.h.

## m_MovingImage

template<typename TFixedImage, typename TMovingImage>

MovingImageConstPointer itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::m_MovingImage {}

private

Definition at line 296 of file itkMultiResolutionImageRegistrationMethod2.h.

## m_MovingImagePyramid

template<typename TFixedImage, typename TMovingImage>

MovingImagePyramidPointer itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::m_MovingImagePyramid {}

private

Definition at line 298 of file itkMultiResolutionImageRegistrationMethod2.h.

## m_NumberOfLevels

template<typename TFixedImage, typename TMovingImage>

unsigned long itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::m_NumberOfLevels {}

private

Definition at line 304 of file itkMultiResolutionImageRegistrationMethod2.h.

## m_Optimizer

template<typename TFixedImage, typename TMovingImage>

OptimizerType::Pointer itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::m_Optimizer {}

private

Definition at line 289 of file itkMultiResolutionImageRegistrationMethod2.h.

## m_Stop

template<typename TFixedImage, typename TMovingImage>

bool itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::m_Stop {}

protected

Definition at line 281 of file itkMultiResolutionImageRegistrationMethod2.h.

## m_Transform

template<typename TFixedImage, typename TMovingImage>

TransformPointer itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::m_Transform {}

private

Definition at line 290 of file itkMultiResolutionImageRegistrationMethod2.h.

Generated on 1768596610 for elastix by 1.15.0 |